Package org.eclipse.wst.xml.xpath.ui.views

## org.eclipse.wst.xml.xpath.ui.views
Class EditNamespacePrefixDialog

    public class EditNamespacePrefixDialog
    extends Dialog

## Field Summary

`protected Label` | `errorMessageLabel`
`protected java.util.List` | `namespaceInfoList`
`protected IPath` | `resourceLocation`

## Constructor Summary

`EditNamespacePrefixDialog(Shell parentShell , IPath resourceLocation)`

## Method Summary

`protected void` | `createButtonsForButtonBar(Composite parent)`
`protected Control` | `createDialogArea(Composite parent)`
`protected Control` | `getDialogArea(Composite parent)`
`public java.util.List` | `getNamespaceInfoList()`
`public void` | `setNamespaceInfoList(java.util.List list)`
`public void` | `updateErrorMessage(java.util.List namespaceInfoList)`
`public void` | `updateOccured(java.lang.Object object , java.lang.Object arg)`

## Field Detail

## errorMessageLabel

`protected Label errorMessageLabel`

## namespaceInfoList

`protected java.util.List namespaceInfoList`

## resourceLocation

`protected IPath resourceLocation`

## Constructor Detail

## EditNamespacePrefixDialog

`public EditNamespacePrefixDialog(Shell parentShell , IPath resourceLocation)`

## Methods Detail

## createButtonsForButtonBar

`protected void createButtonsForButtonBar(Composite parent)`

### Parameters

`parent`

## createDialogArea

`protected Control createDialogArea(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## getDialogArea

`protected Control getDialogArea(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## getNamespaceInfoList

`public java.util.List getNamespaceInfoList()`

### Returns

`java.util.List`

## setNamespaceInfoList

`public void setNamespaceInfoList(java.util.List list)`

### Parameters

`list`

## updateErrorMessage

`public void updateErrorMessage(java.util.List namespaceInfoList)`

### Parameters

`namespaceInfoList`

## updateOccured

`public void updateOccured(java.lang.Object object , java.lang.Object arg)`

### Parameters

`object`

`arg`